import netCDF4 as nc


path_data = "/home/maxness/HighRes_Netcdf_Data/test_data/multio-gs09r1b65-1332794-PL_DAILY__EERIE_IFS-NEMO_historical_r1i1p1f1_ua_1990010100-1990011600-1990011400_level_1000.nc"

level = 1000    # To be read from the filename

with nc.Dataset(path_data, mode='r+') as dataset:
    dim = 'level'
    dim_size = 1        # Might be different when concatenating more levels
    if dim not in dataset.dimensions:
        print("Level dimension not in netcdf file \n")
